• Global community
    • Language:
      • Deutsch
      • English
      • Español
      • Français
      • Português
  • 日本語コミュニティ
    Dedicated community for Japanese speakers
  • 한국 커뮤니티
    Dedicated community for Korean speakers

Support for older Extensions now disabled

Participant ,
Oct 19, 2022 Oct 19, 2022

Copy link to clipboard

Copied

All my older extensions are no longer working in PS 25.0.
I must have missed the message.
Is this the way forward?

I know they were going to be disabled at some point, but so many developers haven't switched to CEP that I am now going to lose a chunk of functionality.
Oh well, back to 24,

TOPICS
macOS

Views

48

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 1 Correct answer

Community Expert , Oct 19, 2022 Oct 19, 2022

See if this response last year by @Akash Sharma  works for you:

 

Please note that Extensions are not supported for Mac computer using the M1 processor. Please try and find plugins with the same functionality or contact the extension owner to get your extensions ported to UXP to run as native on M1 devices.

 

You can still use the older extensions in emulation mode if needed. However, you would need to install the extension while running in Rosetta emulation mode on devices with Apple Silicon

...

Likes

Translate

Translate
Community Expert ,
Oct 19, 2022 Oct 19, 2022

Copy link to clipboard

Copied

See if this response last year by @Akash Sharma  works for you:

 

Please note that Extensions are not supported for Mac computer using the M1 processor. Please try and find plugins with the same functionality or contact the extension owner to get your extensions ported to UXP to run as native on M1 devices.

 

You can still use the older extensions in emulation mode if needed. However, you would need to install the extension while running in Rosetta emulation mode on devices with Apple Silicon M1 processors. Older CEP extensions will not install when running in native. See: If you need to install Rosetta on your Mac

There are few features not available on Apple Silicon. Also there are some known issues in Photoshop with the native M1 support , for details, see: Photoshop for Apple Silicon

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Participant ,
Oct 27, 2022 Oct 27, 2022

Copy link to clipboard

Copied

So frustrating. There are so many extensions that are just not up-to-date for Mac Silicon.
I've changed PS 24.0.0 to run using Rosetta, and yes, of course, that works.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Oct 27, 2022 Oct 27, 2022

Copy link to clipboard

Copied

LATEST

Hi, please contact the extensions developers and ask them an updated version of their add-ons, if UXP supports their needs.

If not, please have them post their features requests to the team that deals with UXP at: https://forums.creativeclouddeveloper.com/

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines